Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedSynchronizationManager

    java.lang.Object
      org.jboss.aspects.versioned.LocalSynchronizationManager
          org.jboss.aspects.versioned.DistributedSynchronizationManager

All Implemented Interfaces:
  org.jboss.ha.framework.interfaces.HAPartition.HAMembershipListener, org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer, SynchronizationManager

public class DistributedSynchronizationManager
extends LocalSynchronizationManager
implements org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer, org.jboss.ha.framework.interfaces.HAPartition.HAMembershipListener

Adds replication

Version:
  $Revision: 1.1.4.5 $
Author:
  Bill Burke

Field Summary
`protected String` | `domainName`
`protected Hashtable` | `heldLocks`
`protected static org.jboss.logging.Logger` | `log`
`protected org.jboss.ha.framework.interfaces.HAPartition` | `partition`

Fields inherited from class org.jboss.aspects.versioned.LocalSynchronizationManager
`objectTable, stateTable, tableLock, txSynch, versionManager`

Constructor Summary
`DistributedSynchronizationManager(String domainName, DistributedVersionManager versionManager, org.jboss.ha.framework.interfaces.HAPartition partition)`

Method Summary
`void` | `acquireLocks(String nodeName, org.jboss.util.id.GUID globalTxId, List list)`
`protected void` | `acquireRemoteLocks(org.jboss.util.id.GUID globalTxId, List guids)`
`void` | `addNewObjects(List newObjects)`
`protected void` | `checkResponses(List rsps)` Checks whether any of the responses are exceptions.
`void` | `create()`
`Serializable` | `getCurrentState()`
`void` | `membershipChanged(Vector deadMembers, Vector newMembers, Vector allMembers)`
`void` | `noTxUpdate(DistributedUpdate update)`
`protected void` | `pullState()`
`void` | `releaseHeldLocks(String nodeName, org.jboss.util.id.GUID globalTxId)`
`protected void` | `sendClusterUpdatesAndRelease(org.jboss.util.id.GUID globalTxId, List clusterUpdates)`
`void` | `sendNewObjects(List newObjects)`
`void` | `setCurrentState(Serializable newState)`
`void` | `start()`
`void` | `updateObjects(String nodeName, org.jboss.util.id.GUID globalTxId, ArrayList updates)`

Methods inherited from class org.jboss.aspects.versioned.LocalSynchronizationManager
`createObjects, getObject, getState, putObject, putState, registerUpdate, releaseHeldLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### partition

    protected org.jboss.ha.framework.interfaces.HAPartition partition

### domainName

    protected String domainName

### heldLocks

    protected Hashtable heldLocks

Constructor Detail

### DistributedSynchronizationManager

    public DistributedSynchronizationManager(String domainName,
                                             DistributedVersionManager versionManager,
                                             org.jboss.ha.framework.interfaces.HAPartition partition)

Method Detail

### create

    public void create()
                throws Exception

  Throws:
    `Exception`

### start

    public void start()
               throws Exception

  Throws:
    `Exception`

### pullState

    protected void pullState()
                      throws Exception

  Throws:
    `Exception`

### getCurrentState

    public Serializable getCurrentState()

  Specified by:
    `getCurrentState` in interface `org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer`

### setCurrentState

    public void setCurrentState(Serializable newState)

  Specified by:
    `setCurrentState` in interface `org.jboss.ha.framework.interfaces.HAPartition.HAPartitionStateTransfer`

### membershipChanged

    public void membershipChanged(Vector deadMembers,
                                  Vector newMembers,
                                  Vector allMembers)

  Specified by:
    `membershipChanged` in interface `org.jboss.ha.framework.interfaces.HAPartition.HAMembershipListener`

### sendNewObjects

    public void sendNewObjects(List newObjects)
                        throws Exception

  Overrides:
    `sendNewObjects` in class `LocalSynchronizationManager`
  Throws:
    `Exception`

### sendClusterUpdatesAndRelease

    protected void sendClusterUpdatesAndRelease(org.jboss.util.id.GUID globalTxId,
                                                List clusterUpdates)
                                         throws Exception

  Overrides:
    `sendClusterUpdatesAndRelease` in class `LocalSynchronizationManager`
  Throws:
    `Exception`

### acquireRemoteLocks

    protected void acquireRemoteLocks(org.jboss.util.id.GUID globalTxId,
                                      List guids)
                               throws Exception

  Overrides:
    `acquireRemoteLocks` in class `LocalSynchronizationManager`
  Throws:
    `Exception`

### noTxUpdate

    public void noTxUpdate(DistributedUpdate update)
                    throws Exception

  Specified by:
    `noTxUpdate` in interface `SynchronizationManager`
  Overrides:
    `noTxUpdate` in class `LocalSynchronizationManager`
  Throws:
    `Exception`

### addNewObjects

    public void addNewObjects(List newObjects)
                       throws Exception

  Throws:
    `Exception`

### updateObjects

    public void updateObjects(String nodeName,
                              org.jboss.util.id.GUID globalTxId,
                              ArrayList updates)
                       throws Exception

  Throws:
    `Exception`

### releaseHeldLocks

    public void releaseHeldLocks(String nodeName,
                                 org.jboss.util.id.GUID globalTxId)

### acquireLocks

    public void acquireLocks(String nodeName,
                             org.jboss.util.id.GUID globalTxId,
                             List list)
                      throws Exception

  Throws:
    `Exception`

### checkResponses

    protected void checkResponses(List rsps)
                           throws Exception

  Checks whether any of the responses are exceptions. If yes, re-throws them (as exceptions or runtime exceptions).

  Parameters:
    `rsps` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.